ppdc(1)

NOM
ppdc - Compilateur ppd pour CUPS (obsolète)

SYNOPSIS
ppdc [ -D nom[=valeur] ] [ -I répertoire_à_inclure ] [ -c catalogue_messages ] [ -d répertoire_sortie ] [ -l langage(s) ] [ -m ] [ -t ] [ -v ] [ -z ] [ --cr ] [ --crlf ] [ --lf ] fichier_source

DESCRIPTION
ppdc compile les fichiers source PPDC dans un ou plusieurs fichiers PPD. Ce programme est obsolète et sera supprimé dans une future version de CUPS.

OPTIONS
ppdc accepte les options suivantes :

-D nom[=valeur]
    Définir la valeur nommée pour utilisation dans le fichier source. Cela est équivalent à utiliser la directive #define dans le fichier source.

-I répertoire_à_inclure
    Indiquer un autre répertoire à inclure. Plusieurs options -I peuvent être fournies pour ajouter des répertoires.

-c catalogue_messages
    Indiquer un fichier de catalogue de messages au format gettext GNU (fichier.po) ou de chaînes Apple (fichier.strings) pour localisation.

-d répertoire_sortie
    Indiquer le répertoire de sortie pour les fichiers PPD. Par défaut, « ppd ».

-l langage(s)
    Indiquer une ou plusieurs langues à utiliser pour l’internationalisation de(s) fichier(s) PPD. La langue par défaut est l’anglais « en ». Séparer les langues par des virgules, par exemple « de_DE,en_UK,es_ES,es_MX,es_US,fr_CA,fr_FR,it_IT » créera des fichiers PPD en allemand, anglais_UK, espagnol (Espagne, Mexique et US), français (France et Canada) et italien dans chaque fichier.

-m  Indiquer que le nom du fichier de sortie sera basé sur la valeur ModelName au lieu de FileName ou PCFileName.

-t  Indiquer que les fichiers PPD doivent être testés au lieu d’être créés.

-v  Demander une sortie loquace, essentiellement un état courant des fichiers en cours de chargement ou écrits. -z crée des fichiers compressés (fichier.ppd.gz). Par défaut, les fichiers PPD sont compressés.

--cr

--crlf

--lf
    Indiquer la fin de ligne à utiliser — retour chariot, retour chariot et saut de ligne ou uniquement saut de ligne. Par défaut, le caractère de saut de ligne seul.

NOTES
Les fichiers PPD sont obsolètes et ne seront plus gérés dans une future version de CUPS. Les imprimantes ne gérant pas IPP peuvent être gérées avec des applications telles que ippeveprinter(1).

VOIR AUSSI
ppdhtml(1), ppdi(1), ppdmerge(1), ppdpo(1), ppdcfile(5), aide en ligne de CUPS <URL:http://localhost:631/help>.

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.